#! /bin/sh /usr/share/dpatch/dpatch-run
## 09_wtdbosqlite3_needs_threads.dpatch by  <pgquiles@elpauer.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Sqlite3 needs threading support, therefore the sqlite3 backend for 
## DP: Wt::Dbo should only be built if threads are available (and we should 
## DP: link to the threads library, too)

@DPATCH@

diff -rupd wt-3.1.6.orig/src/Wt/Dbo/backend/CMakeLists.txt wt-3.1.6/src/Wt/Dbo/backend/CMakeLists.txt
--- wt-3.1.6.orig/src/Wt/Dbo/backend/CMakeLists.txt	2010-11-01 01:13:47.231267001 +0100
+++ wt-3.1.6/src/Wt/Dbo/backend/CMakeLists.txt	2010-11-01 01:16:21.799267001 +0100
@@ -8,6 +8,10 @@ IF(ENABLE_SQLITE)
     SET(Sqlite3_SRCS amalgamation/sqlite3.c)
   ENDIF(USE_SYSTEM_SQLITE3)
 
+  FIND_PACKAGE(Threads)
+
+  IF(CMAKE_THREAD_LIBS_INIT)
+
   SET(HAVE_SQLITE true)
 
   ADD_LIBRARY(wtdbosqlite3
@@ -45,6 +49,8 @@ IF(ENABLE_SQLITE)
   INSTALL_FILES(/include/Wt/Dbo/backend "^Sqlite3$")
   INSTALL_FILES(/include/Wt/Dbo/backend "^.*Sqlite3.*h$")
 
+  ENDIF(CMAKE_THREAD_LIBS_INIT)
+
 ENDIF(ENABLE_SQLITE)
 
 IF(ENABLE_POSTGRES AND POSTGRES_FOUND)
